[Snort-users] daq_static with 2.9.1

Hatim Alghamdi hat_gh at ...131...
Tue Jun 28 08:46:16 EDT 2011


Hi all,

I reached a dead end with compiling snort 2.9.1. I know many faced the same issue and I tried many of the suggestions but still couldn't solve it.

checking for daq_load_modules in -ldaq_static... no

   ERROR!  daq_static library not found, go get it from

I read that I've to make sure I've daq-modules-config in my path and it is.

few commands I'm including which mentioned in the posts I saw.

>daq-modules-config --static --libs
-L/usr/lib -ldaq_static_modules  -lsfbpf -lpcap -lsfbpf -lpcap

>nm /usr/lib/libdaq_static.a | grep daq_load_modules
00000000000008e0 T daq_load_modules

>ldconfig -p | grep daq
libdaq.so.0 (libc6) => /usr/lib/libdaq.so.0
libdaq.so (libc6) => /usr/lib/libdaq.so

I appreciate your help.

Thanks in advance.

Regards,
Hatim




More information about the Snort-users mailing list